=== basename/Makefile ===
# basename - basename unix port from plan9
# Depends on ../lib9

TARG      = basename

include ../std.mk
