=== cat/Makefile ===
# cat - cat unix port from plan9
# Depends on ../lib9

TARG      = cat

include ../std.mk
