=== cleanname/Makefile ===
# cleanname - cleanname unix port from plan9
# Depends on ../lib9

TARG      = cleanname

include ../std.mk
