=== date/Makefile ===
# date - date unix port from plan9
# Depends on ../lib9

TARG      = date

include ../std.mk
