=== dc/Makefile ===
# dc - dc unix port from plan9
# Depends on ../lib9

TARG      = dc

include ../std.mk
