=== echo/Makefile ===
# echo - echo unix port from plan9
# Depends on ../lib9

TARG      = echo

include ../std.mk
