=== sed/Makefile ===
# sed - sed unix port from plan9
# Depends on ../lib9

TARG      = sed

include ../std.mk
