=== seq/Makefile ===
# seq - seq unix port from plan9
# Depends on ../lib9

TARG      = seq

include ../std.mk
