## 9base 2+20070601

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 include config.mk
 
-SUBDIRS  = lib9 yacc awk basename bc dc cat cleanname date echo grep mk \
-		   rc sed seq sleep sort tee test touch tr uniq
+SUBDIRS  = lib9 yacc awk basename bc dc cat cleanname date echo grep ls \
+		   mk rc read sed seq sleep sort tee test touch tr uniq
 
 all:
 	@echo 9base build options:
