=== ls/Makefile ===
# ls - ls unix port from plan9
#
# Depends on ../lib9

TARG      = ls

include ../std.mk
