=== read/Makefile ===
# read - read unix port from plan9
# Depends on ../lib9

TARG      = read

include ../std.mk
