## 9base 4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
-# 9base - awk basename cat cleanname echo grep rc sed seq sleep sort tee
-#         test touch tr uniq from Plan 9
+# 9base - Plan 9 userland for Unix
 
 include config.mk
 
-SUBDIRS  = lib9 yacc awk basename bc dc cat cleanname date echo grep ls \
-		   mk rc read sed seq sleep sort tee test touch tr uniq
+SUBDIRS  = lib9 yacc awk basename bc cal cat cleanname date dc du echo grep hoc ls \
+           mk rc read sed seq sleep sort tee test touch tr troff uniq
 
 all:
 	@echo 9base build options:
@@ -16,6 +15,7 @@
 
 clean:
 	@for i in ${SUBDIRS}; do cd $$i; ${MAKE} clean || exit; cd ..; done
+	@rm -f 9base-${VERSION}.tar.gz
 	@echo cleaned 9base
 
 install: all
