=== lib9/Makefile ===
--- 
+++ 
@@ -1,15 +1,4 @@
 # lib9 - unix port from plan9 lib9
-
-# this works in gnu make
-SYSNAME:=${shell uname}
-OBJTYPE:=${shell uname -m | sed 's;i.86;386;; s;/.*;;; s; ;;g'}
-
-# this works in bsd make
-SYSNAME!=uname
-OBJTYPE!=uname -m | sed 's;i.86;386;; s;/.*;;; s; ;;g'
-
-# the gnu rules will mess up bsd but not vice versa,
-# hence the gnu rules come first.
 
 include ../config.mk
 
@@ -24,13 +13,19 @@
 #	convM2S.o
 #	convS2M.o
 
-OFILES=\
+NUM=\
+	fmt/charstod.o\
+	fmt/pow10.o\
+
+FMTOFILES=\
 	fmt/dofmt.o\
 	fmt/fltfmt.o\
 	fmt/fmt.o\
 	fmt/fmtfd.o\
 	fmt/fmtfdflush.o\
-	fmt/fmtlock.o\
+	fmt/fmtlocale.o\
+	fmtlock2.o\
+	fmt/fmtnull.o\
 	fmt/fmtprint.o\
 	fmt/fmtquote.o\
 	fmt/fmtrune.o\
@@ -56,8 +51,9 @@
 	fmt/vseprint.o\
 	fmt/vsmprint.o\
 	fmt/vsnprint.o\
-	fmt/charstod.o\
-	fmt/pow10.o\
+	$(NUM)\
+
+UTFOFILES=\
 	utf/rune.o\
 	utf/runestrcat.o\
 	utf/runestrchr.o\
@@ -78,12 +74,14 @@
 	utf/utfrrune.o\
 	utf/utfrune.o\
 	utf/utfutf.o\
+
+BIOFILES=\
 	bio/bbuffered.o\
 	bio/bfildes.o\
 	bio/bflush.o\
 	bio/bgetc.o\
+	bio/bgetrune.o\
 	bio/bgetd.o\
-	bio/bgetrune.o\
 	bio/binit.o\
 	bio/boffset.o\
 	bio/bprint.o\
@@ -95,6 +93,8 @@
 	bio/bseek.o\
 	bio/bvprint.o\
 	bio/bwrite.o\
+
+REGEXFILES=\
 	regex/regcomp.o\
 	regex/regerror.o\
 	regex/regexec.o\
@@ -102,6 +102,8 @@
 	regex/regaux.o\
 	regex/rregexec.o\
 	regex/rregsub.o\
+
+LIB9OFILES=\
 	_exits.o\
 	_p9dialparse.o\
 	_p9dir.o\
@@ -119,7 +121,6 @@
 	cleanname.o\
 	create.o\
 	ctime.o\
-	date.o\
 	dial.o\
 	dirfstat.o\
 	dirfwstat.o\
@@ -132,9 +133,10 @@
 	errstr.o\
 	exec.o\
 	execl.o\
+	exitcode.o\
 	fcallfmt.o\
+	get9root.o\
 	getcallerpc-$(OBJTYPE).o\
-	get9root.o\
 	getenv.o\
 	getfields.o\
 	getnetconn.o\
@@ -157,6 +159,7 @@
 	nulldir.o\
 	open.o\
 	opentemp.o\
+	pin.o\
 	pipe.o\
 	post9p.o\
 	postnote.o\
@@ -177,6 +180,7 @@
 	syslog.o\
 	sysname.o\
 	time.o\
+	tm2sec.o\
 	tokenize.o\
 	truerand.o\
 	u16.o\
@@ -185,17 +189,22 @@
 	unsharp.o\
 	wait.o\
 	waitpid.o\
+	write.o\
+	zoneinfo.o\
+
+OFILES=\
+	$(FMTOFILES)\
+	$(UTFOFILES)\
+	$(BIOFILES)\
+	$(REGEXFILES)\
+	$(LIB9OFILES)
 
 all: ${LIB}
 	@echo built lib9
 
 install:
-	@mkdir -p ${DESTDIR}${MANPREFIX}/man7
-	@cp -f regexp.7 ${DESTDIR}${MANPREFIX}/man7
-	@chmod 444 ${DESTDIR}${MANPREFIX}/man7/regexp.7
 
 uninstall:
-	rm -f ${DESTDIR}${MANPREFIX}/man7/regexp.7
 
 ${LIB}: ${OFILES}
 	@echo AR ${TARG}
