=== ascii/Makefile ===
# ascii - ascii unix port from plan9
# Depends on ../lib9

TARG      = ascii

include ../std.mk

pre-uninstall:

post-install:
