=== awk/Makefile ===
# awk - awk unix port from plan9
# Depends on ../lib9

TARG      = awk
OFILES	  = re.o lex.o main.o parse.o proctab.o tran.o lib.o run.o y.tab.o
YFILES	  = awkgram.y
MANFILES  = awk.1

include ../yacc.mk
