=== bc/Makefile ===
# bc - bc unix port from plan9
# Depends on ../lib9

TARG      = bc
OFILES	  = y.tab.o
YFILES	  = bc.y
MANFILES  = bc.1

include ../yacc.mk

# Solaris
#LDFLAGS += -dy -lxnet
