=== cal/Makefile ===
# cal - cal unix port from plan9
# Depends on ../lib9

TARG      = cal

include ../std.mk

pre-uninstall:

post-install:
