=== cmp/Makefile ===
# cmp - cmp unix port from plan9
# Depends on ../lib9

TARG      = cmp

include ../std.mk

pre-uninstall:

post-install:
