=== dc/Makefile ===
--- 
+++ 
@@ -4,3 +4,7 @@
 TARG      = dc
 
 include ../std.mk
+
+pre-uninstall:
+
+post-install:
