=== dd/Makefile ===
# dd - dd unix port from plan9
# Depends on ../lib9

TARG      = dd

include ../std.mk

pre-uninstall:

post-install:
