=== debian/changelog ===
9base (1:6-15) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096267)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 19:38:12 +0300

9base (1:6-14) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066252)
  * Fix fopen() mode values for hurd, thanks to Ola Ekström. (Closes: #838198)
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Apr 2024 11:49:54 +0200

9base (1:6-13) unstable; urgency=medium

  * QA upload.
  * Update /etc/shells via dpkg triggers. Thanks Helmut Grohne
    (closes: #1023316)

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 12 Nov 2022 21:48:16 +0800

9base (1:6-12) unstable; urgency=medium

  * QA upload.
  * Changed the system to rely on dh_strip, avoiding an upstream build system
    strip. Thanks to Helmut Grohne <helmut@subdivi.de>. Consequently:
      - debian/patches/0011-nostrip.patch: created to make adjustments in
        upstream source code.
      - debian/rules: added a STRIP variable.
      - Closes: #1003412
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated packaging copyright data.
  * debian/lintian-overrides: updated some overrides to be compliant with the
    most recent lintian.
  * debian/tests/control: removed tests using ampersand to run in background.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Mar 2022 17:15:01 -0300

9base (1:6-11) unstable; urgency=medium

  * QA upload.
  * Add upstream sha1sum patch (Closes: #983017)
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Feb 2021 09:30:20 +0100

9base (1:6-10) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/rules: added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix
    a FTBFS with GCC-10. (Closes: #956971)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 21:06:24 -0300

9base (1:6-9) unstable; urgency=medium

  * QA upload.
  * Removed prefix '9base' from all file names in debian/.
  * debian/control:
      - Improved long description.
      - Removed the Suggests field because wmii2 is no longer in Debian since
        2011.
  * debian/copyright: reviewed and updated all rights for upstream source code
    and for packaging.
  * debian/lintian.overrides: updated to make it compliant with several issues.
  * debian/patches/:
      - 0008-rc-Default-to-a-traditional-prompt.patch: added a patch.
      - 0009-fix-non-verbose-build.patch: created to allow blhc analyze the
        build.
  * debian/README.Debian: added information about how use man command to read
    the manpages.
  * debian/tests/*: created to provide CI tests for all available commands.
  * debian/watch:
      - Bumped to version 4.
      - Improved the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Apr 2020 21:00:24 -0300

9base (1:6-8) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Improved long description.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

  [ Boyuan Yang ]
  * debian/control:
    + Bump debhelper compat to v12.

  [ Keller Fuchs ]
  * debian/control: Move packaging repository to salsa.d.o.
  * debian/copyright: Refresh information.
  * debian/: Add maintainer scripts for alternatives and /etc/shells.
  * debian/rules:
    + Enable hardening-related flags.
    + Rely on pkg-info.mk and standard variables.
    + Simplify find(1) call.
  * debian/9base.lintian-overrides: Update lintian overrides.

  [ Ryan Petersen ]
  * debian/patches/0008-rc-Default-to-a-traditional-prompt.patch:
    Reverted default prompt to the traditional percent-sign instead of
    a semicolon.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 2-1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Mar 2020 01:41:34 -0300

9base (1:6-7) unstable; urgency=medium

  * Orphaning the package.
  * Update the Vcs-* headers to point at collab-maint.
  * Update debian/copyright, to reflect my copyright assignment to SFC.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 30 Sep 2015 12:51:45 +0200

9base (1:6-6) unstable; urgency=low

  * Add a watch file, thanks to Andy Simpkins <andy-debian@koipond.org.uk>
    (Closes: #695163)
  * Use F_SETFD instead of F_SETFL to set FD_CLOEXEC, patch from Guillem
    Jover <guillem@debian.org> (Closes: #696247)
  * Based on work by Sergey Romanov <schragge@gmail.com>:
    + Move troff data to /usr/share/9base/troff.
    + Various man page tweaks
    + Move to debhelper compat level 9.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 21 Dec 2012 14:50:06 +0100

9base (1:6-5) unstable; urgency=low

  * New maintainer (Closes: #647092).
  * Include 'strings' in the long description (Closes: #622177).
  * Remove empty manual pages: better no manpages than an empty one.
  * Fix the troff macros to look for include files at the right location.
  * Update README.Debian, to show how to display the plan9 man pages properly.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 15 Dec 2011 14:15:57 +0100

9base (1:6-4) unstable; urgency=low

  * New maintainer

 -- Kai Hendry <hendry@iki.fi>  Sun, 05 Dec 2010 15:51:57 +0000

9base (1:6-3) experimental; urgency=low

  * Updating package to debhelper 8.
  * Switching to source format 3.0 (quilt).
  * Updating variable handing in rules.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Nov 2010 09:57:39 +0100

9base (1:6-2) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Updating to standards version 3.9.1.
  * Building on all architectures again, appears to build on ia64 again
    (Closes: #599952).
  * Removing suggest to 9mount.


