=== debian/control ===
Source: 9base
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://tools.suckless.org/9base/
Vcs-Git: https://salsa.debian.org/debian/9base.git
Vcs-Browser: https://salsa.debian.org/debian/9base

Package: 9base
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debianutils (>= 5.3-1~)
Description: Plan 9 userland tools
 9base is a port of following original Plan 9 userland tools to Unix:
 ascii, awk, basename, bc, cal, cat, cleanname, cmp, date, dc, dd, diff, du,
 echo, ed, factor, fmt, fortune, freq, getflags, grep, hoc, join, look, ls,
 mk, mkdir, mtime, pbd, primes, rc, read, sam, sed, seq, sha1sum, sleep, sort,
 split, strings, tail, tee, test, touch, tr, troff, unicode, uniq, unutf, yacc.
 .
 Plan 9 is a distributed Unix-like operational system created by Bell Labs in
 the mid-1980s.
