=== debian/tests/control ===
Test-Command: RP=/usr/lib/plan9/bin; $RP/ascii

Test-Command: RP=/usr/lib/plan9/bin;
              $RP/cat debian/tests/lorem.txt |
              $RP/awk '/sed/ {print}' |
              $RP/grep '[AaEe]t ' |
              $RP/sed 's/nec/DEBIAN/g' |
              $RP/tr ' ' ','

Test-Command: RP=/usr/lib/plan9/bin;
              $RP/cat debian/tests/lorem.txt |
              $RP/sort |
              $RP/uniq

Test-Command: RP=/usr/lib/plan9/bin; $RP/basename debian/tests/lorem.txt

Test-Command: RP=/usr/lib/plan9/bin; $RP/echo 'sqrt (((2 + 2 * 5 ^ 3 % 3) + 15) / 2)' | $RP/bc

Test-Command: RP=/usr/lib/plan9/bin; $RP/cal

Test-Command: RP=/usr/lib/plan9/bin; $RP/date

Test-Command: RP=/usr/lib/plan9/bin; $RP/dd -if debian/tests/lorem.txt -conv ucase
Restrictions: allow-stderr

Test-Command: RP=/usr/lib/plan9/bin; $RP/cleanname /usr//share/./data/

Test-Command: RP=/usr/lib/plan9/bin; $RP/cmp debian/tests/file1 debian/tests/file2 2>&1 | $RP/grep differ

Test-Command: RP=/usr/lib/plan9/bin; $RP/diff debian/tests/file1 debian/tests/file2 2>&1 | $RP/grep Grape

Test-Command: RP=/usr/lib/plan9/bin; $RP/du -s debian/tests/

Test-Command: RP=/usr/lib/plan9/bin; $RP/factor 1000 | $RP/fmt -i 10

Test-Command: RP=/usr/lib/plan9/bin; $RP/fortune debian/tests/lorem.txt | $RP/sha1sum

Test-Command: RP=/usr/lib/plan9/bin; $RP/freq debian/tests/lorem.txt

Test-Command: RP=/usr/lib/plan9/bin; $RP/ls debian/tests

Test-Command: RP=/usr/lib/plan9/bin; $RP/mkdir $AUTOPKGTEST_TMP/9base; ls $AUTOPKGTEST_TMP

Test-Command: RP=/usr/lib/plan9/bin; $RP/mtime debian/tests/lorem.txt

Test-Command: RP=/usr/lib/plan9/bin; $RP/seq 1 10

Test-Command: RP=/usr/lib/plan9/bin; $RP/sleep 10; $RP/ls

Test-Command: RP=/usr/lib/plan9/bin; cp debian/tests/lorem.txt $AUTOPKGTEST_TMP;
                                     $RP/split -n 2 $AUTOPKGTEST_TMP/lorem.txt;
                                     $RP/ls $AUTOPKGTEST_TMP | tail | tee $AUTOPKGTEST_TMP/test;
                                     $RP/cat $AUTOPKGTEST_TMP/test;
                                     $RP/touch $AUTOPKGTEST_TMP/test;
                                     $RP/ls -l $AUTOPKGTEST_TMP/test

Test-Command: RP=/usr/lib/plan9/bin; $RP/strings $RP/strings | tail

Test-Command: RP=/usr/lib/plan9/bin; $RP/sleep 10; $RP/test -r debian/tests/lorem.txt
