=== debian/watch ===
version=4
https://dl.suckless.org/tools/9base-(.+)\.tar\.(?:bz2|gz|xz)
